Moving Baloo and Baloo-widgets into KDE SC

David Edmundson david at davidedmundson.co.uk
Tue Dec 24 19:28:20 GMT 2013


On 24 Dec 2013 18:57, "Thomas L├╝bking" <thomas.luebking at gmail.com> wrote:
>
> On Dienstag, 24. Dezember 2013 19:29:11 CEST, Vishesh Handa wrote:
>>
>> On Tuesday 24 Dec 2013 13:06:55 Christoph Feck wrote:
>>>
>>> How does Baloo cooperate with Nepomuk? Note that we have ABI
>>> guarantees, so if the metadata is not shared between running instances
>>> of two services, but applications would have to be ported to the new
>>> ABI, then you cannot introduce Baloo in KDE 4.x, but only for KF5.
>>>
>>
>> I'm confused on how not sharing metadata = ABI break? Could you please
elaborate?
>
>
> If baloo can neither coexist with and talk to nepomuk, nor is 100% ABI
compatible on clientlib (wrapper?) side, it cannot just replace nepomuk.

As I understand it there are no plans to remove the nepomuk-core or
nepomuk-widget libraries. If you switch to Baloo, anything compiled against
nepomuk will still run but will act as if nepomuk is disabled. This is
something clients previously had to cope with anyway.

David

> Cheers,
> Thomas
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://mail.kde.org/pipermail/kde-core-devel/attachments/20131224/e0821341/attachment.htm>


More information about the kde-core-devel mailing list